#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#import <flutter_bridge/ZKFlutterBridgePlugin.h>

@interface AppDelegate ()<ZKFlutterBridgeDelegate>

@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
  // Override point for customization after application launch.
    [ZKFlutterBridgePlugin sharedInstance].delegate = self;
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

#pragma mark - 方式1
//- (void)flutterBridgeCallWithMethod:(NSString *)methodName call:(FlutterMethodCall *)call resultBlock:(FlutterResult)resultBlock{
//
//}

#pragma mark - 方式2
- (void)printLog:(FlutterMethodCall *)call resultBlock:(FlutterResult)resultBlock{
    NSString *msg = [NSString stringWithFormat:@"%@",call.arguments];
    NSLog(@"flutter log =>: %@", msg);
    resultBlock(@{@"code":@"0",@"msg":@"执行成功"});
    
    //主动调用Flutter方法，测试
    [[ZKFlutterBridgePlugin sharedInstance] invokeFlutterMethod:@"printLog" params:@{@"msg":@"原生主动调用Flutter，我是参数！"}];
}

@end
